GET /api/v3/webhook/{webhookId}/log/{webhookLogId}/detail

Retrieves detailed execution information for a specific webhook log entry

GetWebhookLogDetailsV3 Permissions: ApplicationSettings (View)
Use this endpoint to get the full details of a webhook execution including request/response payloads and any error information. Requires ApplicationSettings View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
webhookId Unique numeric identifier of the webhook integer (int32) Required
webhookLogId Unique numeric identifier of the log entry integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebhookLogDetailsResponse
Property Description Type
request The request that was sent from the webhook (headers and body) Required (defined) string
response The response that was received from the configured url (headers and body) Required (defined) string
result The HTTP status code that was received from the configured url 0 indicates no response was received from the configured url Required (defined) string
url The URL that the webhook is configured for Required (defined) string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
Example Response application/json
{  "request": "string",  "response": "string",  "result": "string",  "url": "string",  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.